<?php

namespace Nwb\MultiDownloaderClient;

class Metadata
{
    /**
     * @var bool
     */
    private $deleteAll;

    /**
     * @var array
     */
    private $set;

    public function deleteAll(string $deleteAll)
    {
        $this->deleteAll = $deleteAll;

        return $this;
    }

    public function getDeleteAll(): string
    {
        return $this->deleteAll;
    }

    public function set(array $set)
    {
        $this->set = $set;

        return $this;
    }

    public function getSet(): array
    {
        return $this->set;
    }

    public function toArray(): array
    {
        return array_filter([
            'deleteAll' => $this->deleteAll,
            'set' => $this->set
        ]);
    }
}
