<?php

use Nwb\MultiDownloaderClient\MultiDownloaderClient;

/**
 * @var MultiDownloaderClient $this
 */
?>

<!DOCTYPE html>
<html>

<head>
    <title>Forwarding ...</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=0">
    <style type="text/css">
        body {
            display: inline;
        }

        #message {
            text-align: center;
            margin-top: 20px;
        }
    </style>
</head>

<body>
    <div id="button_div" class="modal-dialog-buttons">
        <form name="f" id="f" method="POST" action="<?= $this->url ?>/v2/form/zip<?= $zipName ?>" enctype="multipart/form-data">
            <input type="hidden" name="json" value='<?= json_encode($this->buildRequest()) ?>' />
            <noscript>
                <button id="submit_approve_access" type="submit" tabindex="1" style="overflow:visible;">Continue</button>
            </noscript>
        </form>
    </div>

    <div id="message"></div>

    <script type="text/javascript">
        var messages = {
            'en': 'Your download will begin shortly. This page will close automatically.',
            'fr': 'Votre téléchargement va commencer. Cette page se fermera automatiquement.'
        };

        var userLang = navigator.language || navigator.userLanguage;
        userLang = userLang.split('-')[0];

        document.getElementById('message').innerText = messages[userLang] || messages['en'];

        document.forms['f'].submit();
        window.setTimeout(function() {
            window.close();
        }, 2000); // 2 secondes
    </script>
</body>

</html>